#
# spec file for package python-dis3
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python3 1
Name:           python-dis3
Version:        0.1.3
Release:        bp153.1.14
Summary:        Backport of the "dis" module from Python 3
License:        MIT AND Python-2.0
Group:          Development/Languages/Python
URL:            https://github.com/KeyWeeUsr/python-dis3
Source:         https://files.pythonhosted.org/packages/source/d/dis3/dis3-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python 2.7 backport of the "dis" module from Python 3.5+

%prep
%setup -q -n dis3-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -m unittest discover -s test

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.3:
  * Add more files to sdist
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue May 29 2018 toddrme2178@gmail.com
- Update to version 0.1.2
  * switch to fork since original upstream deleted everything
- Add license file
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
